Skip to main content
PATCH
Update Comment

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

comment_id
string
required

Query Parameters

hub_id
string
required

Body

application/vnd.api+json

Top-level envelope for PATCH /api/comments/.

Shape: { "data": { "type": "comments", "attributes": { "body": "..." } } }

data
CommentUpdateResource · object
required

JSON:API resource wrapper for an update request.

Response

Successful Response

Single-item JSON:API envelope for a comment.

Shape: { "data": }

data
CommentResource · object
required

JSON:API resource object for a comment.

Shape: { "type": "comments", "id": "", "attributes": { ... }, "links": { "self": "/api/comments/" } }